Package org.jboss.resteasy.rxjava2

## Class FlowableRxInvokerImpl

- java.lang.Object
- - org.jboss.resteasy.rxjava2.FlowableRxInvokerImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`, `FlowableRxInvoker`

      public class FlowableRxInvokerImpl
      extends Object
      implements FlowableRxInvoker

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowableRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker, ExecutorService executorService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.reactivex.Flowable<?>` | `delete()` |
    `<R> io.reactivex.Flowable<?>` | `delete​(Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `delete​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Flowable<?>` | `get()` |
    `<R> io.reactivex.Flowable<?>` | `get​(Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `get​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.BackpressureStrategy` | `getBackpressureStrategy()` |
    `io.reactivex.Flowable<?>` | `head()` |
    `io.reactivex.Flowable<?>` | `method​(String name)` |
    `<R> io.reactivex.Flowable<?>` | `method​(String name, Class<R> responseType)` |
    `io.reactivex.Flowable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Flowable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `method​(String name, javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `method​(String name, javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Flowable<?>` | `options()` |
    `<R> io.reactivex.Flowable<?>` | `options​(Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `options​(javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Flowable<?>` | `post​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Flowable<?>` | `post​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `post​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `io.reactivex.Flowable<?>` | `put​(javax.ws.rs.client.Entity<?> entity)` |
    `<R> io.reactivex.Flowable<?>` | `put​(javax.ws.rs.client.Entity<?> entity, Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `put​(javax.ws.rs.client.Entity<?> entity, javax.ws.rs.core.GenericType<R> responseType)` |
    `void` | `setBackpressureStrategy​(io.reactivex.BackpressureStrategy backpressureStrategy)` |
    `io.reactivex.Flowable<?>` | `trace()` |
    `<R> io.reactivex.Flowable<?>` | `trace​(Class<R> responseType)` |
    `<R> io.reactivex.Flowable<?>` | `trace​(javax.ws.rs.core.GenericType<R> responseType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowableRxInvokerImpl

          public FlowableRxInvokerImpl​(javax.ws.rs.client.SyncInvoker syncInvoker,
                                       ExecutorService executorService)

  - ### Method Detail

    - #### get

          public io.reactivex.Flowable<?> get()

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### get

          public <R> io.reactivex.Flowable<?> get​(Class<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### get

          public <R> io.reactivex.Flowable<?> get​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `get` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### put

          public io.reactivex.Flowable<?> put​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### put

          public <R> io.reactivex.Flowable<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                  Class<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### put

          public <R> io.reactivex.Flowable<?> put​(javax.ws.rs.client.Entity<?> entity,
                                                  javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `put` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### post

          public io.reactivex.Flowable<?> post​(javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### post

          public <R> io.reactivex.Flowable<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                   Class<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### post

          public <R> io.reactivex.Flowable<?> post​(javax.ws.rs.client.Entity<?> entity,
                                                   javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `post` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### delete

          public io.reactivex.Flowable<?> delete()

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### delete

          public <R> io.reactivex.Flowable<?> delete​(Class<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### delete

          public <R> io.reactivex.Flowable<?> delete​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `delete` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### head

          public io.reactivex.Flowable<?> head()

      Specified by:
        `head` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### options

          public io.reactivex.Flowable<?> options()

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### options

          public <R> io.reactivex.Flowable<?> options​(Class<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### options

          public <R> io.reactivex.Flowable<?> options​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `options` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### trace

          public io.reactivex.Flowable<?> trace()

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### trace

          public <R> io.reactivex.Flowable<?> trace​(Class<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### trace

          public <R> io.reactivex.Flowable<?> trace​(javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `trace` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public io.reactivex.Flowable<?> method​(String name)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public <R> io.reactivex.Flowable<?> method​(String name,
                                                     Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public <R> io.reactivex.Flowable<?> method​(String name,
                                                     javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public io.reactivex.Flowable<?> method​(String name,
                                                 javax.ws.rs.client.Entity<?> entity)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public <R> io.reactivex.Flowable<?> method​(String name,
                                                     javax.ws.rs.client.Entity<?> entity,
                                                     Class<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### method

          public <R> io.reactivex.Flowable<?> method​(String name,
                                                     javax.ws.rs.client.Entity<?> entity,
                                                     javax.ws.rs.core.GenericType<R> responseType)

      Specified by:
        `method` in interface `javax.ws.rs.client.RxInvoker<io.reactivex.Flowable<?>>`

    - #### getBackpressureStrategy

          public io.reactivex.BackpressureStrategy getBackpressureStrategy()

      Specified by:
        `getBackpressureStrategy` in interface `FlowableRxInvoker`

    - #### setBackpressureStrategy

          public void setBackpressureStrategy​(io.reactivex.BackpressureStrategy backpressureStrategy)

      Specified by:
        `setBackpressureStrategy` in interface `FlowableRxInvoker`